Page MenuHomePhabricator

Develop structured JSON APIs for general consumption
Closed, ResolvedPublic

Description

This task is for tracking the JSON APIs within the General (middle) layer of the PCS.

The structured data in this layer is broken into 4 distinct APIs:

  1. A Summary API for getting high level data about a page. Most useful for display within lists/previews
  2. A Gallery API for getting info in images contained in a page
  3. A References API for getting all references of a page
  4. A Metadata API for getting "all" other structured data about a page (basically anything that can be extracted like ToC, geo data, page issues, etc…)

These APIs can be used independently or along with the Content HTML API in order to create a native or JS client UI for pages.

Please see the subtasks for the specific API implementations that make up this layer and see the parent tickets for details at the system level.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
ResolvedJhernandez
ResolvedbearND
ResolvedbearND
DeclinedNone
ResolvedFjalapeno
ResolvedbearND
ResolvedbearND
ResolvedbearND
ResolvedbearND
ResolvedbearND
ResolvedbearND
ResolvedbearND
ResolvedbearND
ResolvedbearND
ResolvedMholloway
ResolvedMholloway
ResolvedMholloway
ResolvedMholloway
ResolvedMholloway
ResolvedMholloway
ResolvedMholloway
DeclinedMholloway
ResolvedMholloway
ResolvedMholloway
ResolvedMholloway
DuplicateNone
ResolvedMholloway
DeclinedNone
ResolvedMholloway
ResolvedMholloway
ResolvedMholloway
Resolvedovasileva
Resolvedphuedx
Resolvedphuedx
DuplicateNone
ResolvedJdlrobson
ResolvedJdlrobson
DuplicateNone
Duplicateovasileva
Resolvedovasileva
DuplicateNone
DeclinedNone
DuplicateJdlrobson
ResolvedMhurd
DeclinedJMinor
Resolvedphuedx
ResolvedPchelolo
ResolvedJdlrobson
DeclinedPchelolo
Resolvedphuedx
DeclinedJdlrobson
DuplicateNone
ResolvedFjalapeno
Resolvedphuedx
Declinedpmiazga
DeclinedNone
Resolvedphuedx
DeclinedNone
ResolvedPchelolo
ResolvedbearND
ResolvedMholloway
ResolvedMSantos
ResolvedMholloway
InvalidNone
ResolvedJdlrobson
InvalidNone
DuplicateNone
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
Resolvedphuedx
ResolvedbearND
ResolvedMholloway
DuplicateNone
ResolvedJdlrobson
ResolvedJdlrobson
Resolvedphuedx
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedbearND
ResolvedJdlrobson
ResolvedMholloway
ResolvedMholloway
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedbearND
Resolvedmobrovac
ResolvedABorbaWMF
ResolvedABorbaWMF
ResolvedMholloway
ResolvedMholloway
ResolvedMholloway
ResolvedMholloway
DeclinedNone
ResolvedMholloway
ResolvedMholloway
DeclinedNone
ResolvedPchelolo
ResolvedMholloway
InvalidNone
ResolvedPchelolo
ResolvedbearND
DeclinedNone
ResolvedbearND
ResolvedbearND

Event Timeline

Fjalapeno created this task.Oct 4 2017, 5:39 PM
Fjalapeno updated the task description. (Show Details)
Fjalapeno moved this task from Needs triage to Epics on the Product-Infrastructure-Team-Backlog board.
Fjalapeno updated the task description. (Show Details)Oct 5 2017, 3:51 PM
Jhernandez updated the task description. (Show Details)Jul 6 2018, 12:25 PM
Jhernandez triaged this task as High priority.Jul 6 2018, 12:30 PM
Jhernandez added a subscriber: Jhernandez.

Depending to the answer on T162185: Extract JSON API from MCS Page Content API this may already be done like that one.

MSantos moved this task from Backlog to Epics on the Page Content Service board.Mon, Sep 2, 4:47 PM
Jhernandez closed this task as Resolved.Wed, Sep 11, 12:32 PM
Jhernandez claimed this task.

This has generally been accomplished. Other related tasks that don't block the epic's completion have been orphaned and kept in the backlog with the appropriate priority.